Do I need all firmware updates?

vbimport

#1

Hi all,
I’ve just installed 2 new 716 A’s. 1 has 1.03 and the other 1.04 firmware. TLA0203 & 0304. They work fine, though the 1.03 seems slightly faster. Should I just wait for the 1.05 update and flash both drives? I’m so glad I came accross this forum. There’s so much to know!! :slight_smile:


#2

I’m learning too, so take what I say with a grain of salt. I think it’s generally a good idea to upgrade to the latest firmware. However, the most current version is 1.04u and a few people have had problems with it. I had problems (it crashed my computer when burning) and I reflashed back to 1.04 which seems to be a stable release. I will upgrade to 1.05 when it gets released.

I’m curious about one thing. I bought a TLA0203 and it came with version 1.04 firmware. The posts here seem to indicate that the last two digits of the TLA number indicate the firmware on the boxed drive but that wasn’t true in this case.

Eric


#3

Maybe that was a refurbed drive or returned drive where somebody already updated to 1.4 firmware.


#4

It was in a factory sealed box and smelled like a new car. :slight_smile: So I’m pretty certain it wasn’t refurbished.


#5

Apart those details, new firm means new strategies that Plextor can use, to burn in a better away, the x media…

With the new 1.04, you can also bunr Verbatim Dual Layer 2.4x at 6x!

Also, the 16x records, where improve.( for me only about 60% :sad: ).

You can go to the Plextor site and get the media list, with this new firmware!

Good Burns! :smiley:


#6

Or new bugs.
If your drive works fine, there is no need to update. Unless you are a CD Freak with too much sapare time on your hads, of course. =)


#7

Or new bugs.

If your drive works fine, there is no need to update. Unless you are a CD Freak with too much sapare time on your hads, of course. =)

Never found any bug, but better recordings…
Wich one of us, is free to give any openion or believe in anything, dude :wink:


#8

I’ve noticed since I updated the fw to 1.04 there is no problem, if not better writes. Plextor has been good for me! :bigsmile:


#9

1.04u actually fixed stuff for me that I was having issues with when I had 1.04, namely UDMA 4 setting.